@ECHO OFF

PUSHD .
%~d0
CD %~dp0

REM Default DPInst parameters.
SET DPInst_Pars=

REM Checking for Windows 2000 ... DPInst must be run in legacy mode.
VER | FINDSTR /L "5.0" > NUL
IF %ERRORLEVEL% EQU 0 SET DPInst_Pars=/LM
 
REM Checking for Windows XP x86 ... DPInst must be run in legacy mode.
VER | FINDSTR /L "5.1." > NUL
IF %ERRORLEVEL% EQU 0 SET DPInst_Pars=/LM
 
REM Checking for Windows XP x64, Server 2003 and Server 2003 R2 ... DPInst must be run in legacy mode.
VER | FINDSTR /L "5.2." > NUL
IF %ERRORLEVEL% EQU 0 SET DPInst_Pars=/LM

REM Checking Windows bitness
IF /i "%PROCESSOR_ARCHITECTURE%" == "x86" (GOTO X86) ELSE (GOTO X64)

:X86
start /B dpinst_x86.exe %DPInst_Pars%
GOTO END

:X64
start /B dpinst_x64.exe %DPInst_Pars%

:END
SET DPInst_Pars=
POPD